Bug 16112 - Specify renewal date for batch renew
Summary: Specify renewal date for batch renew
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-21 15:35 UTC by Marjorie Barry-Vila
Modified: 2020-11-16 14:18 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Add the ability to define the due date during a batch renew. Like bug 16748 for batch checkout.
Version(s) released in:
20.11.00


Attachments
Bug 16112: Add the ability to define due date for batch renew (3.33 KB, patch)
2020-08-04 15:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16112: Add the ability to define due date for batch renew (3.38 KB, patch)
2020-08-05 15:24 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 16112: Add the ability to define due date for batch renew (4.18 KB, patch)
2020-08-06 07:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16112: Add the ability to define due date for batch renew (4.25 KB, patch)
2020-08-06 13:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16112: (follow-up) Form style improvements, clear date (3.81 KB, patch)
2020-08-06 13:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24288: Add wording to authorized value interface to indicate valid code length (2.08 KB, patch)
2020-08-19 14:57 UTC, Marco Abi-Ramia
Details | Diff | Splinter Review
Bug 16371: (follow-up) DB changes (1.45 KB, patch)
2020-08-19 15:00 UTC, Marco Abi-Ramia
Details | Diff | Splinter Review
Bug 16371: (follow-up) DB changes (1.45 KB, patch)
2020-08-19 15:01 UTC, Marco Abi-Ramia
Details | Diff | Splinter Review
Bug 16112: (follow-up) Form style improvements, clear date (3.87 KB, patch)
2020-08-19 15:27 UTC, Marco Abi-Ramia
Details | Diff | Splinter Review
Bug 16112: (follow-up) Form style improvements, clear date (3.87 KB, patch)
2020-08-19 15:32 UTC, Marco Abi-Ramia
Details | Diff | Splinter Review
Bug 16371: (follow-up) DB changes (1.45 KB, patch)
2020-08-19 15:42 UTC, Marco Abi-Ramia
Details | Diff | Splinter Review
Bug 16371: (follow-up) DB changes (1.45 KB, patch)
2020-08-19 15:44 UTC, Marco Abi-Ramia
Details | Diff | Splinter Review
Bug 16371: (follow-up) DB changes (1.45 KB, patch)
2020-08-19 15:46 UTC, Marco Abi-Ramia
Details | Diff | Splinter Review
Bug 16112: (follow-up) Form style improvements, clear date (3.87 KB, patch)
2020-08-19 17:15 UTC, Marco Abi-Ramia
Details | Diff | Splinter Review
Bug 16112: Do not depend on SpecifyDueDate (2.40 KB, patch)
2020-08-21 07:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16112: Add the ability to define due date for batch renew (4.31 KB, patch)
2020-08-21 22:00 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16112: (follow-up) Form style improvements, clear date (3.93 KB, patch)
2020-08-21 22:00 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16112: Do not depend on SpecifyDueDate (2.46 KB, patch)
2020-08-21 22:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marjorie Barry-Vila 2016-03-21 15:35:56 UTC
Hi,


Currently , we can not manually select a renewal due date in the batch renewal tool (renew.pl).

This could be a system preference like specifyDueDate or SpecifyReturnDate.

Regards,

Marjorie
Comment 1 Marjorie Barry-Vila 2019-12-20 16:08:16 UTC
+1
Comment 2 Jonathan Druart 2020-08-04 15:19:27 UTC
Created attachment 107786 [details] [review]
Bug 16112: Add the ability to define due date for batch renew

Same as bug 16748, for batch renew.

Test plan:
Check an item in
Renew it using the circ/renew.pl page
=> You can pick a due date!
=> The date is kept from one renew to another
Renew it until you reach the maximum number of renewals
=> You get a warning with "continue without renewing"
=> The date is still kept
Comment 3 PTFS Europe Sandboxes 2020-08-05 15:24:43 UTC
Created attachment 107835 [details] [review]
Bug 16112: Add the ability to define due date for batch renew

Same as bug 16748, for batch renew.

Test plan:
Check an item in
Renew it using the circ/renew.pl page
=> You can pick a due date!
=> The date is kept from one renew to another
Renew it until you reach the maximum number of renewals
=> You get a warning with "continue without renewing"
=> The date is still kept

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 4 Henry Bolshaw 2020-08-05 15:27:54 UTC
I was able to follow the test plan and select a renewal date for batch renew.
Comment 5 Jonathan Druart 2020-08-06 07:26:24 UTC
Created attachment 107865 [details] [review]
Bug 16112: Add the ability to define due date for batch renew

Same as bug 16748, for batch renew.

Test plan:
Check an item in
Renew it using the circ/renew.pl page
=> You can pick a due date!
=> The date is kept from one renew to another
Renew it until you reach the maximum number of renewals
=> You get a warning with "continue without renewing"
=> The date is still kept
Comment 6 Jonathan Druart 2020-08-06 07:28:01 UTC
Sorry Henry, I had to redo the patch. I embedded a patch of this development on bug 16748 (as you noticed).
As I modified the patch I need to ask for another signoff.
Please retest it if you have some time.
Comment 7 Owen Leonard 2020-08-06 13:39:30 UTC
Created attachment 107890 [details] [review]
Bug 16112: Add the ability to define due date for batch renew

Same as bug 16748, for batch renew.

Test plan:
Check an item in
Renew it using the circ/renew.pl page
=> You can pick a due date!
=> The date is kept from one renew to another
Renew it until you reach the maximum number of renewals
=> You get a warning with "continue without renewing"
=> The date is still kept

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 8 Owen Leonard 2020-08-06 13:39:33 UTC
Created attachment 107891 [details] [review]
Bug 16112: (follow-up) Form style improvements, clear date

This follow-up makes some markup and style improvements in order to make
the renew form more consistent with similar forms like checkout and
check-in.

It also adds a "Clear" button for the datepicker field, matching similar
date inputs.

To test, apply the patch and go to Circulation -> Renew.

 - With or without the  SpecifyDueDate system preference enabled the
   form should look correct.
 - With the SpecifyDueDate preference enabled you should see the date
   form below the barcode input field.
 - Select a date and test that the "Clear" button works to clear it.
 - Compare to the check-in page to confirm that they look consistent
   with each other.
Comment 9 Marco Abi-Ramia 2020-08-19 14:57:55 UTC
Created attachment 108639 [details] [review]
Bug 24288: Add wording to authorized value interface to indicate valid code length

Chnged NOTFORLOAN to NOT_LOAN

This patch adds a warning that the authorized value field needs to be a
single numeric character, where appropriate

To test:

1) Apply the patch
2) Add a new authorised value policy in the LOST, NOTFORLOAN, DAMAGED, RESTRICTED, and WITHDRAWN categories
3) Check that there is a new warning displaying next to the Authorized value field stating "The authorized value field in the X category must be a one-digit numeric value"
4) Check that this same warning appears when modifying the same
authorised values
5) Check that the warning doesn't appear in any other authorized value
category.
Comment 10 Marco Abi-Ramia 2020-08-19 15:00:48 UTC
Created attachment 108640 [details] [review]
Bug 16371: (follow-up) DB changes

We need to keep "opac" is the pref was set before the upgrade

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Marco Abi-Ramia 2020-08-19 15:01:44 UTC
Created attachment 108641 [details] [review]
Bug 16371: (follow-up) DB changes

We need to keep "opac" is the pref was set before the upgrade

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Marco Abi-Ramia 2020-08-19 15:27:50 UTC
Created attachment 108658 [details] [review]
Bug 16112: (follow-up) Form style improvements, clear date

This follow-up makes some markup and style improvements in order to make
the renew form more consistent with similar forms like checkout and
check-in.

It also adds a "Clear" button for the datepicker field, matching similar
date inputs.

To test, apply the patch and go to Circulation -> Renew.

 - With or without the  SpecifyDueDate system preference enabled the
   form should look correct.
 - With the SpecifyDueDate preference enabled you should see the date
   form below the barcode input field.
 - Select a date and test that the "Clear" button works to clear it.
 - Compare to the check-in page to confirm that they look consistent
   with each other.

Signed-off-by: Marco Abi-Ramia <marco.abi-ramia@inlibro.com>
Comment 13 Marco Abi-Ramia 2020-08-19 15:32:49 UTC
Created attachment 108659 [details] [review]
Bug 16112: (follow-up) Form style improvements, clear date

This follow-up makes some markup and style improvements in order to make
the renew form more consistent with similar forms like checkout and
check-in.

It also adds a "Clear" button for the datepicker field, matching similar
date inputs.

To test, apply the patch and go to Circulation -> Renew.

 - With or without the  SpecifyDueDate system preference enabled the
   form should look correct.
 - With the SpecifyDueDate preference enabled you should see the date
   form below the barcode input field.
 - Select a date and test that the "Clear" button works to clear it.
 - Compare to the check-in page to confirm that they look consistent
   with each other.

Signed-off-by: Marco Abi-Ramia <marco.abi-ramia@inlibro.com>
Comment 14 Marco Abi-Ramia 2020-08-19 15:42:07 UTC
Created attachment 108661 [details] [review]
Bug 16371: (follow-up) DB changes

We need to keep "opac" is the pref was set before the upgrade

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 15 Marco Abi-Ramia 2020-08-19 15:44:40 UTC
Created attachment 108662 [details] [review]
Bug 16371: (follow-up) DB changes

We need to keep "opac" is the pref was set before the upgrade

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 16 Marco Abi-Ramia 2020-08-19 15:46:04 UTC
Created attachment 108663 [details] [review]
Bug 16371: (follow-up) DB changes

We need to keep "opac" is the pref was set before the upgrade

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 17 Marco Abi-Ramia 2020-08-19 17:15:31 UTC
Created attachment 108665 [details] [review]
Bug 16112: (follow-up) Form style improvements, clear date

This follow-up makes some markup and style improvements in order to make
the renew form more consistent with similar forms like checkout and
check-in.

It also adds a "Clear" button for the datepicker field, matching similar
date inputs.

To test, apply the patch and go to Circulation -> Renew.

 - With or without the  SpecifyDueDate system preference enabled the
   form should look correct.
 - With the SpecifyDueDate preference enabled you should see the date
   form below the barcode input field.
 - Select a date and test that the "Clear" button works to clear it.
 - Compare to the check-in page to confirm that they look consistent
   with each other.

Signed-off-by: Marco Abi-Ramia <marco.abi-ramia@inlibro.com>
Comment 18 Katrin Fischer 2020-08-20 22:23:33 UTC
I think this is close, but not quite right:

Instead of modeling the 'specify due date' feature, this should model the "renewal due date" feature we have in circulation (footer of the circulation table). 

So we should change the labelling and also the 'activation' conditions. The renewal due date option is always visible and doesn't depend on the SpecifyDueDate preference.

What do you think?
Comment 19 Jonathan Druart 2020-08-21 07:08:24 UTC
Created attachment 108776 [details] [review]
Bug 16112: Do not depend on SpecifyDueDate

It's possible to specify a renewal due date in the checkouts table
even if SpecifyDueDate is off.

Also change the label from "Specify due date:" to "Renewal due date:"
Comment 20 Katrin Fischer 2020-08-21 22:00:34 UTC
Created attachment 108871 [details] [review]
Bug 16112: Add the ability to define due date for batch renew

Same as bug 16748, for batch renew.

Test plan:
Check an item in
Renew it using the circ/renew.pl page
=> You can pick a due date!
=> The date is kept from one renew to another
Renew it until you reach the maximum number of renewals
=> You get a warning with "continue without renewing"
=> The date is still kept

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 21 Katrin Fischer 2020-08-21 22:00:38 UTC
Created attachment 108872 [details] [review]
Bug 16112: (follow-up) Form style improvements, clear date

This follow-up makes some markup and style improvements in order to make
the renew form more consistent with similar forms like checkout and
check-in.

It also adds a "Clear" button for the datepicker field, matching similar
date inputs.

To test, apply the patch and go to Circulation -> Renew.

 - With or without the  SpecifyDueDate system preference enabled the
   form should look correct.
 - With the SpecifyDueDate preference enabled you should see the date
   form below the barcode input field.
 - Select a date and test that the "Clear" button works to clear it.
 - Compare to the check-in page to confirm that they look consistent
   with each other.

Signed-off-by: Marco Abi-Ramia <marco.abi-ramia@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 22 Katrin Fischer 2020-08-21 22:00:42 UTC
Created attachment 108873 [details] [review]
Bug 16112: Do not depend on SpecifyDueDate

It's possible to specify a renewal due date in the checkouts table
even if SpecifyDueDate is off.

Also change the label from "Specify due date:" to "Renewal due date:"

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 23 Jonathan Druart 2020-08-24 10:32:30 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 24 Lucas Gass 2020-09-04 19:47:43 UTC
enhancement will not be backported to 20.05.x